%define fontconfig_major 1
%define lib_name %mklibname %{name} %{fontconfig_major}
%define develname %mklibname %name -d

%define freetype_version 2.3.5

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}
%define rebuild_doc	0
%if %{bootstrap}
%define rebuild_doc 0
%endif

Summary: Font configuration library
Name: fontconfig
Version: 2.11.1
Release: %mkrel 1
License: MIT
Group: System/Libraries
Source0: http://fontconfig.org/release/fontconfig-%{version}.tar.xz
Source1: 30-mdv-urwfonts.conf
Source2: 20-mdv-disable-antialias.conf
Source3: 30-mdv-avoid-bitmap.conf
Source4: 26-mdv-no-embeddedbitmap.conf
Source5: 25-no-bitmap-fedora.conf
Source6: 10-antialias.conf 
Source7: 10-hinting-full.conf 
Source8: 10-hinting-medium.conf 
Source9: 10-hinting-slight.conf
Source10: 10-hinting.conf
Source15: 10-fontfontbaby.conf
Source11: fc-cache.filter
Source12: fc-cache.script
Patch1: fontconfig-mdvconfig.patch

URL: http://fontconfig.org/

Requires(post): %{lib_name}  >= %{version}-%{release}
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: ed
%if %rebuild_doc
BuildRequires: docbook-utils
BuildRequires: docbook-utils-pdf
BuildRequires: docbook-dtd31-sgml
BuildRequires: docbook-dtd41-sgml
%endif
BuildRequires: lynx
BuildRequires: libxml2-utils
Conflicts:	x11-font-wqy-bitmapfont < 1.0-0.20070901.1

%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package -n %{lib_name}
Summary: Font configuration and customization library
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}
Provides: lib%{name} = %{version}-%{release}
Provides: %{name}-libs = %{version}-%{release}

%description -n %{lib_name}
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package -n %{develname}
Summary: Font configuration and customization library
Group: Development/Libraries
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Requires: freetype2-devel >= %{freetype_version}
Obsoletes: %mklibname -d %name 1

%description -n %{develname}
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which 
will use fontconfig.

%prep
%setup -q
%patch1 -p1 -b .mdvconfig

%build
%if !%rebuild_doc
export HASDOCBOOK=no
%endif

%configure2_5x --localstatedir=/var \
   --with-add-fonts="/usr/lib/X11/fonts,/usr/X11R6/lib/X11/fonts,/opt/ttfonts" \
   --enable-libxml2 \
   --disable-static

%make


%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/fonts/conf.d
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} \
%{SOURCE8} %{SOURCE9} %{SOURCE10} %{SOURCE15} %{buildroot}%{_sysconfdir}/fonts/conf.d 

# needed in case main config files isn't up to date
cat << EOF > %{buildroot}%{_sysconfdir}/fonts/conf.d/00-cache.conf
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<!-- Font cache directory list -->

        <cachedir>/var/cache/fontconfig</cachedir>
        <cachedir>~/.fontconfig</cachedir>

</fontconfig>
EOF

ln -s %{_datadir}/fontconfig/conf.avail/25-unhint-nonlatin.conf %{buildroot}%{_sysconfdir}/fonts/conf.d

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/fontconfig 

# install filetriggers
install -d -m 0755 %{buildroot}%{_var}/lib/rpm/filetriggers
install -m 0644 %{SOURCE11} %{buildroot}%{_var}/lib/rpm/filetriggers
install -m 0755 %{SOURCE12} %{buildroot}%{_var}/lib/rpm/filetriggers

# we don't want these
find %{buildroot} -name "*.la" -delete

#broken
rm -f %{buildroot}%{_sysconfdir}/fonts/conf.d/10-scale-bitmap-fonts.conf
rm -f %{buildroot}%{_datadir}/fontconfig/conf.avail/10-scale-bitmap-fonts.conf


%pre
rm -f %{_sysconfdir}/fonts/conf.d/10-chromium.conf  > /dev/null 2>&1

%post
%{_bindir}/fc-cache --force --system-only > /dev/null 2>&1

%triggerprein -- fontconfig < 2.4.0
rm -f %{_var}/cache/fontconfig/*.cache-2

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING doc/fontconfig-user.html doc/fontconfig-user.txt
%dir %{_var}/cache/fontconfig
%{_bindir}/*
%dir %{_sysconfdir}/fonts
%dir %{_sysconfdir}/fonts/conf.d
# those files must NOT have noreplace option
%config %{_sysconfdir}/fonts/fonts.conf
%config %{_sysconfdir}/fonts/conf.d/*.conf
%config %{_sysconfdir}/fonts/conf.d/README
%{_datadir}/fontconfig
%{_datadir}/xml/fontconfig/fonts.dtd
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_var}/lib/rpm/filetriggers/fc-cache.*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.%{fontconfig_major}
%{_libdir}/*.so.%{fontconfig_major}.*

%files -n %{develname}
%defattr(-, root, root)
%doc doc/fontconfig-devel doc/fontconfig-devel.txt 
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man3/*

%clean
rm -rf %{buildroot}

%changelog
* Thu Apr 03 2014 pinoc <vogtpet at gmail.com> 2.11.1-1pclos2014
- 2.11.1

* Fri Mar 07 2014 bb <bb> 2.11.0-3pclos2014
- remove 10-chromium.conf since it was replaced with
- 10-fontfontbaby.conf
- remove broken 10-scale-bitmap-fonts.conf

* Wed Mar 05 2014 bb <bb> 2.11.0-2pclos2014
- add fontfontbaby.conf to package

* Thu Feb 06 2014 bb <bb> 2.11.0-1pclos2014
- update

* Tue Mar 09 2010 Texstar <texstar at gmail.com> 2.8.0-1pclos2010
- 2.8.0